@import url('https://fonts.googleapis.com/css2?family=Lexend+Deca:wght@200&family=Montserrat:wght@200&family=Mukta:wght@200&family=Quicksand&family=Space+Mono&display=swap');



/* Global Settings */

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-padding-top: 200px;
    scroll-behavior: smooth;
}

:root {
    --red: #b4213b;
}

html {
    font-size: 10px;
    overflow-x: hidden;
    font-family: 'Lexend Deca', sans-serif;
}

body {
    background-color: #fff;
}

/* Nav Settings */

    .logo {
        width: 20em;
        cursor: pointer;
    }

    .con {
        background-color: var(--red);
        display: flex;
        align-items: center;
        justify-content: right;
        height: 50px;
        padding: 2em;
        position: fixed;
        width: 100%;
        z-index: 10;
        transition: .10s ease-in-out;
    }

    .con .element .i-display{
        padding-left: 0;
        padding-right: 0;
        font-size: 1.2rem;
        transition: .3s ease-in-out;
    }
    .con .element .i-display:hover {
        font-size: 1.3rem;
    }

    .con .element i {
        padding-right: 1rem;
        padding-left: 2rem;
        font-size: 1.5rem;
    }

    nav {
        top: 50px;
        background-color: #23232e;
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 150px;
        padding: 2em;
        position: fixed;
        width: 100%;
        z-index: 10;
    }

    ul {
        list-style-type: none;
        display: flex;
        width: 55%;
        justify-content: space-around;
    }

    .element {
        text-decoration: none;
        color: #ffffff;
        font-size: 2rem;
        position: relative;
        padding: .2em;
    }

    .element::after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0%;
        background-color: var(--red);
        height: .15em;
        border-radius: 15px;
        transition: .3s ease-in-out;
    }

    .element:hover::after {
        width: 100%;
    }

/* Burger Settings */

    .burger {
        background: transparent;
        border: none;
        outline: none;
        cursor: pointer;
        display: none;
    }

    .line {
        width: 40px;
        height: .3em;
        background-color: var(--red);
        margin: 6px;
        border-radius: 20px;
        transition: .3s ease-in-out;
    }

/* Main Settings */

    /* Banner */
        .banner {
            width: 100%;
            height: 700px;
            position: absolute;
            overflow: hidden
        }

        .banner-background {
            width: 100%;
            height: 500px;
            top: 200px;
            position: absolute;
            text-align: center;
            display: flex;
        }

        .overlay {
            width: 100%;
            height: 500px;
            background: linear-gradient(#000,#000);
            opacity: 0.7;
            position: absolute;
            top: 200px;
        }

        .banner-content {
            padding-top: 150px;
            width: 100%;
            height: 500px;
            position: absolute;
            margin: 100px auto 0;
            text-align: center;
            color: #fff;
        }

        .banner-content img {
            width: 500px;
        }

        .banner-content h1 {
            font-size: 30px;
            margin-bottom: 5rem;
        }

        .banner-content h3 {
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 15px;
            margin-bottom: 2rem;
        }

        .banner-content i {
            margin-right: 1rem;
            margin-left: 3rem;
            opacity: 0.2;
        }

        .banner-content i:first-child {
            margin-left: 0;
        }

    /* More Photos - Button */

        .more-photos {
            margin-right: 5px;
            margin-top: 0;
            text-transform: uppercase;
            width: 200px;
            padding: 15px 0;
            text-align: center;
            border-radius: 25px;
            font-weight: bold;
            border: 2px solid var(--red);
            background-color: var(--red);
            color: #fff;
            cursor: pointer;
            transition: .3s ease-in-out;
        }

        .more-photos:hover {
            background: transparent;
            border: 2px solid #fff;
        }

        .more-photos a {
            text-decoration: none;
            color: #fff;
        }

    /* Facebook - Button */

        .facebook a {
            text-decoration: none;
            color: #fff;
        }

        .facebook {
            margin-left: 5px;
            margin-top: 0;
            text-transform: uppercase;
            width: 200px;
            padding: 15px 0;
            text-align: center;
            border-radius: 25px;
            font-weight: bold;
            border: 2px solid #4267B2;
            background-color: #4267B2;
            color: #fff;
            cursor: pointer;
            transition: .3s ease-in-out;
        }

        .facebook:hover {
            background: transparent;
            border: 2px solid #4267B2;
        }

/* Main Content */

    /* About */
        .box {
            padding-top: 600px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            width: 100%;
            text-align: center;
            font-size: 40px;
        }

        hr {
            margin-bottom: 30px;
            width: 25%;
            margin-left: auto;
            margin-right: auto;
            border-top: 4px solid var(--red);
            }

        #o-nas {
            height: 400px;
            background-color: var(--red);
        }

        #o-nas h1{
            padding-top: 100px;
            color: #fff;
        }
        #o-nas h3{
            padding-top: 30px;
            color: #fff;
            font-size: 15px;
            letter-spacing: 1.5px; 
            margin: 0 50px 0 50px;
        }

    
    /* Gallery - Description and Button*/
        h4 {
            padding-top: 20px;
            font-size: 20px;
        }

        .gallery-facebook a {
            text-decoration: none;
            color: #000;
            transition: .3s ease-in-out;
        }
        
        .gallery-facebook:hover a {
            color: #fff;
        }

        .gallery-facebook {
            margin-right: 5px;
            margin-top: 0;
            text-transform: uppercase;
            width: 200px;
            padding: 15px 0;
            text-align: center;
            border-radius: 25px;
            font-weight: bold;
            border: 2px solid #4267B2;
            background: transparent;
            cursor: pointer;
            transition: .3s ease-in-out;
        }
        
        .gallery-facebook:hover {
            background-color: #4267B2;
            border: 2px solid #4267B2;
        }

    /* Gallery */

        #galeria {
            padding-top: 150px;
        }

        .gallery {
            margin: 0 30px;
            padding-top: 70px;
            position: relative;
            padding-bottom: 0;
        }
        .gallery .image-container {
            display: flex;
            flex-wrap: wrap;
            gap: 15px;
            justify-content: center;
            padding: 10px;
        }

        .gallery .image-container .image {
            border: 5px solid var(--red);
            border-radius: 25px;
            overflow: hidden;
            width: 250px;
            height: 250px;
            cursor: pointer;
            box-shadow: 0 5px 15px #8f8f8f;
        }

        .gallery .image-container .image img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            transition: .2s linear;
        }

        .gallery .image-container .image:hover img {
            transform: scale(1.05);
        }

        .gallery .popup-image {
            position: fixed;
            top: 0;
            left: 0;
            background: rgba(0,0,0,.75);
            height: 100%;
            width: 100%;
            z-index: 100;
            display: none;
        }

        .gallery .popup-image span {
            position: absolute;
            top: 10px; 
            right: 30px;
            font-size: 60px;
            font-weight: bolder;
            color: #fff;
            cursor: pointer;
            z-index: 100;
        }

        .gallery .popup-image span:hover {
            transition: .1s ease-in-out;
            transform: scale(1.1);
            
        }

        .gallery .popup-image img {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            border: 5px solid #fff;
            border-radius: 5px;
            width: 750px;
            object-fit: cover;

        }

    /* Contact */
        #kontakt {
            padding-top: 30px;
            width: 100%;
            height: 450px;
            background-color: var(--red);
            color: #fff;
        }

        #kontakt h5{
            margin-top: 80px;
            margin-bottom: 20px;
        }

        #kontakt h6 {
            font-weight: 100;
            font-size: 20px;
        }

        #kontakt h6:first-child {
            margin-top: 20px;
        }

        #kontakt .element {
            font-size: 20px;
            transition: .3s ease-in-out;
        }

        #kontakt .element:hover {
            font-size: 21px;
        }

/* Stopka */

    footer {
        background-color: #23232e;
        height: 100px;
        width: 100%;
        text-align: center;
        padding-top: 25px;
        color: #fff;
        letter-spacing: 2px;
        box-shadow: 0 -5px 15px #8f8f8f;
        z-index: 2;
    }

    footer img {
        width: 100px;
    }

/* SVG */

    .svg-banner {
        position: absolute;
        top: 600px;
        left: 0;
        width: 100%;
        overflow: hidden;
        line-height: 0;
    }

    .svg-banner svg {
        position: relative;
        display: block;
        width: calc(300% + 1.3px);
        height: 100px;
    }

    .svg-banner .shape-fill {
        fill: var(--red);
    }

    /* SVG O NAS */
        .svg-onas {
            position: absolute;
            top: 1000px;
            left: 0;
            width: 100%;
            overflow: hidden;
            line-height: 0;
        }
        
        .svg-onas svg {
            position: relative;
            display: block;
            width: calc(100% + 1.3px);
            height: 70px;
        }
        
        .svg-onas .shape-fill {
            fill: var(--red);
        }

    /* SVG KONTAKT */
        .svg-kontakt {
            position: static;
            margin-top: 50px;
            margin-bottom: 0;
            bottom: 0;
            left: 0;
            width: 100%;
            overflow: hidden;
            line-height: 0;
            transform: rotate(180deg);
        }
        
        .svg-kontakt svg {
            position: relative;
            display: block;
            width: calc(100% + 1.3px);
            height: 70px;
            transform: rotateY(180deg);
        }
        
       .svg-kontakt .shape-fill {
            fill: var(--red);
        }

/* Media */

    @media only screen and (max-width: 999px) {
        .burger {
            display: block;
            transition: .3 ease-in-out;
        }

        .burger.active .line:first-child {
            transform: translateY(10px) rotate(45deg);
        }

        .burger.active .line:nth-child(2) {
        background-color: transparent;
        }

        .burger.active .line:nth-child(3) {
            transform: translateY(-10px) rotate(-45deg);
        }

        ul {
            position: absolute;
            right: 0;
            top: 13vh;
            padding-bottom: 50px;
            background-color: #23232e;
            height: 90vh;
            flex-direction: column;
            text-align: center;
            transform: translate(100%);
            transition: .3s ease-in-out;
        }

        ul.active {
            transform: translate(0%);
        }

        .element {
            font-size: 2.5rem;
            letter-spacing: 3px;
        }
    }

    @media only screen and (max-width: 770px) {
        ul {
            width: 100%;
        }
        
        .gallery .popup-image img {
            width: 95%;
        }
    }

    @media only screen and (max-width: 600px) {

        .con .element .i-display{
            display:none;
        }

        .con .element i{
            font-size: 2rem;
            transition: .3s ease-in-out;
        }

        .con .element i:hover {
            font-size: 2.5rem;
        }

        .con .element:first-child{
            margin-right: 3rem;
        }
    }

    @media only screen and (max-width: 594px) {
        .banner-content h1 {
            margin-bottom: 1rem;
        }
    }

    @media only screen and (max-width: 500px) {
        .banner-content h3 {
            font-size: 12px;
            margin: auto 10px;
        }
        
        .facebook, .more-photos{
            width: 100px;
            font-size: 10px;
            margin-top: 5rem;
        }
        .banner-content img {
            margin-bottom: 2rem;
            width: 200px;
        }
        .banner-content h1 {
            font-size: 25px;
            margin-left: 10px;
            margin-right: 10px;
        }
        .kontakt-adres i {
            font-size: 12px;
            transition: 0.3s ease-in-out;
        }
        .kontakt-adres i:hover {
            font-size: 13px;
        }
    }